Data stream service
POST
The request body should be a serialized DataStreamServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:
- OpenDataStreams -> Unit
- AppendToDataStreams -> Unit
- GetDataStream -> DataStreamBatch
- CloseDataStreams -> Unit
- RemoveDataStreams -> UUID[]
bearerheader
AuthorizationBearer <token>Provide the username and password of the user
application/json- body
configuration*apiVersion*responseSerializer*OK
*/*- response
curl -X POST 'https://dev.carp.dk/api/data-stream-service' \ -H 'Content-Type: application/json' \ -d '{ "configuration": { "studyDeploymentId": {}, "expectedDataStreams": [ { "deviceRoleName": "string", "dataType": {} } ], "expectedDataStreamIds": [ { "studyDeploymentId": {}, "deviceRoleName": "string", "dataType": {} } ] }, "apiVersion": { "major": 0, "minor": 0 }, "responseSerializer": { "descriptor": { "annotations": [ {} ], "serialName": "string", "elementsCount": 0, "isInline": true, "kind": null, "isNullable": true } }}'Example response
{}